Package it.ernytech.tdlib

## Class TdApi.Sticker

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Sticker

Enclosing class:
  TdApi

    public static class TdApi.Sticker
    extends TdApi.Object

Describes a sticker.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `emoji` Emoji corresponding to the sticker.
`int` `height` Sticker height; as defined by the sender.
`boolean` `isMask` True, if the sticker is a mask.
`TdApi.MaskPosition` `maskPosition` Position where the mask should be placed; may be null.
`long` `setId` The identifier of the sticker set to which the sticker belongs; 0 if none.
`TdApi.File` `sticker` File containing the sticker.
`TdApi.PhotoSize` `thumbnail` Sticker thumbnail in WEBP or JPEG format; may be null.
`int` `width` Sticker width; as defined by the sender.

### Constructor Summary

Constructors
`Sticker()` Default constructor.
`Sticker​(long setId, int width, int height, java.lang.String emoji, boolean isMask, TdApi.MaskPosition maskPosition, TdApi.PhotoSize thumbnail, TdApi.File sticker)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### setId

    public long setId

The identifier of the sticker set to which the sticker belongs; 0 if none.

#### width

    public int width

Sticker width; as defined by the sender.

#### height

    public int height

Sticker height; as defined by the sender.

#### emoji

    public java.lang.String emoji

Emoji corresponding to the sticker.

#### isMask

    public boolean isMask

True, if the sticker is a mask.

#### maskPosition

    public TdApi.MaskPosition maskPosition

Position where the mask should be placed; may be null.

#### thumbnail

    public TdApi.PhotoSize thumbnail

Sticker thumbnail in WEBP or JPEG format; may be null.

#### sticker

    public TdApi.File sticker

File containing the sticker.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Sticker

    public Sticker()

Default constructor.

#### Sticker

    public Sticker​(long setId,
                   int width,
                   int height,
                   java.lang.String emoji,
                   boolean isMask,
                   TdApi.MaskPosition maskPosition,
                   TdApi.PhotoSize thumbnail,
                   TdApi.File sticker)

Constructor for initialization of all fields.

Parameters:
  `setId` - The identifier of the sticker set to which the sticker belongs; 0 if none.
  `width` - Sticker width; as defined by the sender.
  `height` - Sticker height; as defined by the sender.
  `emoji` - Emoji corresponding to the sticker.
  `isMask` - True, if the sticker is a mask.
  `maskPosition` - Position where the mask should be placed; may be null.
  `thumbnail` - Sticker thumbnail in WEBP or JPEG format; may be null.
  `sticker` - File containing the sticker.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR